import {select, 
        geoPath,
        geoNaturalEarth1, 
        zoom,
        event,
        scaleOrdinal,
       schemeSpectral,
       csv,extent,
       interpolateGreens} from 'd3';
import { loadAndProcessData } from './loadAndProcessData';

const svg = select('svg');
const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

const g = svg.append('g');

svg.call(zoom().on('zoom', zoomed));

function zoomed() {
  g.attr("transform", event.transform);
}

g.append('path')
	.attr('class', 'sphere')
	.attr('d', pathGenerator({type:'Sphere'}));
console.log(g)

const colorScale = scaleOrdinal();
const colorValue = d=>d.properties.economy;
const colorValues = d=>d[2];

const coord=[[2.394560,46.288027, 4],[2.394560,48.288027,8],[3.394560,48.288027,3],[2.394560,49.288027,12] ];
//csv("/Users/YSAL01/OneDrive - Damen Shipyards/Desktop/Test/Taxi.csv")
//	.then(data =>console.log(data.latitude))

loadAndProcessData().then(countries=>{
  colorScale.domain(countries.features.map(colorValue))
  		 			.domain(colorScale.domain().sort().reverse())
  					.range(schemeSpectral[colorScale.domain().length])
   
  	g.selectAll('path').data(countries.features)
      .enter().append('path')
  			.attr('class', 'country')
  			.attr('d',pathGenerator)
  			.attr('fill', d=>colorScale(colorValue(d)))
  			.append('title')
  				.text(d=>d.properties.name + ':' + colorValue(d));
    
  const colorScales = scaleOrdinal();
       colorScales.domain(extent(coord.map(d=>d[2])))
   								.range(interpolateGreens[colorScales.domain().length]);
  
 		g.selectAll('circle').data(coord).enter().append('circle')
  		.attr('class', 'circlecolor')
  		.attr('cx', d=>projection(d)[0])
 			 .attr('cy', d=>projection(d)[1])
 			 .attr('fill', d=>colorScale(colorValue(d)))
  		.attr('r',1)



  		
    
});

